Update Link Tracking Profile
PATCH
/api/v1/workspaces/{workspace_id}/link_tracking_profiles/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/link_tracking_profiles/1';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"My Link Tracking Profile","parameters":[{"type":"fixed_value","parameter":"utm_source","value":"newsletter","label":"example","hint":"example"}],"custom_template":"{{ url }}"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/link_tracking_profiles/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "My Link Tracking Profile", "parameters": [ { "type": "fixed_value", "parameter": "utm_source", "value": "newsletter", "label": "example", "hint": "example" } ], "custom_template": "{{ url }}" }'Updates a link_tracking_profile.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Link Tracking Profile ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
Example
My Link Tracking Profileparameters
Array
One of:
object
type
required
string
parameter
required
The URL query parameter name.
string
Example
utm_sourcevalue
required
The fixed value for this parameter.
string
Example
newsletterlabel
string
hint
string
object
type
required
string
parameter
required
The URL query parameter name.
string
Example
utm_sourcelabel
string
hint
string
object
type
required
string
parameter
required
The URL query parameter name.
string
Example
utm_sourcelabel
string
hint
string
object
type
required
string
parameter
required
The URL query parameter name.
string
Example
utm_sourcelabel
string
hint
string
custom_template
string
Example
{{ url }}Responses
Section titled “Responses”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
parameters
Array
One of:
object
type
required
string
parameter
required
The URL query parameter name.
string
value
required
The fixed value for this parameter.
string
label
string
hint
string
object
type
required
string
parameter
required
The URL query parameter name.
string
label
string
hint
string
object
type
required
string
parameter
required
The URL query parameter name.
string
label
string
hint
string
object
type
required
string
parameter
required
The URL query parameter name.
string
label
string
hint
string
custom_template
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{ "id": 12345, "name": "My Link Tracking Profile", "parameters": [ { "type": "fixed_value", "parameter": "utm_source", "value": "newsletter" } ], "custom_template": "{{ url }}", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z"}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Unprocessable Entity
Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}